VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::RestoreStub Class Reference

Remote stub implementation of the Restore API service. More...

Inherits vmware::appliance::recovery::Restore.

List of all members.

## Public Member Functions
| RestoreStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.recovery.RestoreTypes.Metadata | Validate (vmware.appliance.recovery.RestoreTypes.RestoreRequest piece)
| Get metadata before restore.
vmware.appliance.recovery.RestoreTypes.Metadata | Validate (vmware.appliance.recovery.RestoreTypes.RestoreRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get metadata before restore.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.RestoreTypes.Metadata > | ValidateAsync (vmware.appliance.recovery.RestoreTypes.RestoreRequest piece)
| Get metadata before restore.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.RestoreTypes.Metadata > | ValidateAsync (vmware.appliance.recovery.RestoreTypes.RestoreRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get metadata before restore.

## Detailed Description

Remote stub implementation of the Restore API service.

## Constructor & Destructor Documentation

vmware::appliance::recovery::RestoreStub::RestoreStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.recovery.RestoreTypes.Metadata vmware::appliance::recovery::RestoreStub::Validate | ( | vmware.appliance.recovery.RestoreTypes.RestoreRequest | piece | ) | `[inline]`

Get metadata before restore.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure

Returns:
  Metadata Structure

Implements vmware::appliance::recovery::Restore.

vmware.appliance.recovery.RestoreTypes.Metadata vmware::appliance::recovery::RestoreStub::Validate | ( | vmware.appliance.recovery.RestoreTypes.RestoreRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get metadata before restore.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Metadata Structure

Implements vmware::appliance::recovery::Restore.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.RestoreTypes.Metadata> vmware::appliance::recovery::RestoreStub::ValidateAsync | ( | vmware.appliance.recovery.RestoreTypes.RestoreRequest | piece | ) | `[inline]`

Get metadata before restore.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure

Returns:
  Metadata Structure

Implements vmware::appliance::recovery::Restore.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.RestoreTypes.Metadata> vmware::appliance::recovery::RestoreStub::ValidateAsync | ( | vmware.appliance.recovery.RestoreTypes.RestoreRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get metadata before restore.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Metadata Structure

Implements vmware::appliance::recovery::Restore.

The documentation for this class was generated from the following file:

- RestoreStub.cs